Subject: Re: linux-next: lots of errors/warnings from the -Werror=missing-prototypes addition

From: Andrew Morton <[email-masked]>
Date: Thu, 30 Nov 2023 08:19:29 -0800

On Thu, 30 Nov 2023 09:07:38 +0100 "Arnd Bergmann" <[email-masked]> wrote:

> > I guess it should precede "Makefile.extrawarn: turn on
> > missing-prototypes globally".
> 
> I already have a collection of patches to fix up known
> -Wmissing-prototype warnings across architectures in the
> asm-generic tree, so I'll add this patch there:
> 
> commit bdef96eb0b89dfa80992312a8e3b2613bf178ae5
> Author: Arnd Bergmann <[email-masked]>
> Date:   Thu Nov 30 00:07:07 2023 +0100
> 
>     arch: turn off -Werror for architectures with known warnings

I think this would be better in the mm-nonmm tree, alongside
"Makefile.extrawarn: turn on missing-prototypes globally".  Can I steal it?